export { doc, nodeProto, tagCache, win, setWindow };
export { isFF, isChrome };
declare type SelectorCache = {
    [x: string]: {
        delay: number;
        el: Element | null;
    };
};
declare let doc: Document;
declare let win: Window;
declare let nodeProto: typeof Node.prototype;
declare let tagCache: {
    "": SelectorCache;
    "http://www.w3.org/2000/svg": SelectorCache;
    "http://www.w3.org/1998/Math/MathML": SelectorCache;
};
export declare type NameSpace = keyof typeof tagCache;
declare function setWindow(w: Window & typeof globalThis): void;
declare const isFF: boolean;
declare const isChrome: boolean;
