import { ElementAttrs } from "./attrs.js";
import { ComponentResult, Emitable } from "./render.js";
export { SVG, V };
export { svg, v };
export { cacheDelay, setCacheDelay };
declare let cacheDelay: number;
declare function setCacheDelay(n: number): void;
declare function svg(selector: string): SVGElement;
declare function svg(selector: string, ...children: Emitable[]): SVGElement;
declare function svg(selector: string, attrs: ElementAttrs): SVGElement;
declare function svg(selector: string, attrs: ElementAttrs | null | undefined, ...children: Emitable[]): SVGElement;
declare function v(component: () => Emitable): ComponentResult;
declare function v(component: (children: Emitable) => Emitable, ...children: Emitable[]): ComponentResult;
declare function v<T>(component: (attrs: T) => Emitable, attrs: T): ComponentResult;
declare function v<T>(component: (attrs: T, children: Emitable) => Emitable, attrs: T, ...children: Emitable[]): ComponentResult;
declare function v(selector: string): HTMLElement;
declare function v(selector: string, ...children: Emitable[]): HTMLElement;
declare function v(selector: string, attrs: ElementAttrs): HTMLElement;
declare function v(selector: string, attrs: ElementAttrs | null | undefined, ...children: Emitable[]): HTMLElement;
declare function SVG(selector: string): SVGElement;
declare function SVG(selector: string, attrs: ElementAttrs): SVGElement;
declare function SVG(selector: string, attrs: ElementAttrs | null | undefined, children: Emitable): SVGElement;
declare function V(component: () => Emitable): ComponentResult;
declare function V<T>(component: (attrs: T) => Emitable, attrs: T): ComponentResult;
declare function V<T>(component: (attrs: T, children: Emitable) => Emitable, attrs: T, children: Emitable): ComponentResult;
declare function V(selector: string): HTMLElement;
declare function V(selector: string, attrs: ElementAttrs): HTMLElement;
declare function V(selector: string, attrs: ElementAttrs | null | undefined, children: Emitable): HTMLElement;
