import { ComponentResult, Emitable } from "./render.js";
import { DataSignal } from "./S.js";
declare type KeyedLife = {
    beforeUpdating: (cb: () => void) => void;
    afterUpdated: (cb: () => void) => void;
};
export declare function keyed<K>(keys: DataSignal<K[]>, hooks: Renderer<K> | Renderer<K>["render"]): ComponentResult;
interface Renderer<K> {
    render(key: K): Emitable;
    hooks?(life: KeyedLife): void;
}
export declare function update(keys: any, { keys: old, refs: oldRefs }: {
    keys: any;
    refs: any;
}, render: any, hooks: any, parentNodeRange: any, parentNode: any, nextSibling: any, placeHolderComment: any, hasIndices: any): {
    refs: any[];
    keys: any;
};
export {};
